Show / Hide Table of Contents

# AsyncTriggerStay2DTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncTriggerStay2DTrigger : AsyncTriggerBase<Collider2D>, IUniTaskAsyncEnumerable<Collider2D>

##### Inheritance

System.Object → AsyncTriggerBase<Collider2D> → AsyncTriggerStay2DTrigger

##### Implements

IUniTaskAsyncEnumerable<Collider2D>

### Members

#### Methods

Name | Description
--- | ---
GetOnTriggerStay2DAsyncHandler() |
GetOnTriggerStay2DAsyncHandler(CancellationToken) |
OnTriggerStay2DAsync() |
OnTriggerStay2DAsync(CancellationToken) |

### Methods

#### GetOnTriggerStay2DAsyncHandler()

    public IAsyncOnTriggerStay2DHandler GetOnTriggerStay2DAsyncHandler()

##### Returns

IAsyncOnTriggerStay2DHandler

#### GetOnTriggerStay2DAsyncHandler(CancellationToken)

    public IAsyncOnTriggerStay2DHandler GetOnTriggerStay2DAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnTriggerStay2DHandler

#### OnTriggerStay2DAsync()

    public UniTask<Collider2D> OnTriggerStay2DAsync()

##### Returns

UniTask<Collider2D>

#### OnTriggerStay2DAsync(CancellationToken)

    public UniTask<Collider2D> OnTriggerStay2DAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<Collider2D>

### Implements

IUniTaskAsyncEnumerable<T>